MS09-044: Vulnerabilities in Remote Desktop Connection could allow remote code execution

Applies to: Windows Server 2008 Datacenter without Hyper-VWindows Server 2008 Enterprise without Hyper-VWindows Server 2008 for Itanium-Based Systems More

Support for Windows Vista Service Pack 1 (SP1) ends on July 12, 2011. To continue receiving security updates for Windows, make sure you're running Windows Vista with Service Pack 2 (SP2). For more information, refer to this Microsoft web page: Support is ending for some versions of Windows.

INTRODUCTION


Microsoft has released security bulletin MS09-044. To view the complete security bulletin, visit one of the following Microsoft Web sites:

How to obtain help and support for this security update


Help installing updates:
Support for Microsoft Update

Security solutions for IT professionals:
TechNet Security Troubleshooting and Support

Help protect your computer that is running Windows from viruses and malware:
Virus Solution and Security Center

Local support according to your country:
International Support

More Information


Known issues and additional information about this security update

For more information about this security update and for information about any known issues with specific releases of this software, click the following article number to view the article in the Microsoft Knowledge Base:

956744 MS09-044: Description of the security update for Remote Desktop Client version 6.0 and 6.1: August 11, 2009

958469 MS09-044: Description of the security update for Remote Desktop Client Version 5.2: August 11, 2009

958470 MS09-044: Description of the security update for Remote Desktop Client Version 5.1: August 11, 2009

958471 MS09-044: Description of the security update for Remote Desktop Client Version 5.0 in Windows 2000: August 11, 2009